NSRDOCRC(8)

NAME
nsrdocrc - NetWorker BusinesSuite Module for Lotus Notes deleted document(s) restore command

SYNOPSIS

nsrdocrc
    { -d } [ -s server ] { -p database name with full path } [ -D debug_level ] [ -T temporary_directory ] [ -t date ] [ -c clientname ]

DESCRIPTION
The nsrdocrc command provides effective method of restoring all deleted data documents in a Notes database. This tool is useful if the user wants to restore all the data documents that were deleted in a Notes database since a specified backup of the database. The database should have been backed up to a NetWorker server's online client index.

nsrdocrc works by first restoring the specified version of the database to a temporary directory and then copying the deleted documents from this database to the existing database. Once the deleted documents are copied to the existing database, the database restored to the temporary directory is deleted.

OPTIONS

-c  client
    Specify the name of the client where the files originated. Use this option when restoring to a client other than the one from where the files originated.

-d  Restore deleted documents. If this option is not specified the database will be restored to the temporary area but the deleted documents will not be copied.

-D debug_level
    Specify the level of debugging to use, where level 9 is the highest.

-p database
    Specify the database name with the full path whose deleted documents need to be restored.

-s server
    Specify the NetWorker server to which the data was backed up.

-T  directory
    Specify the directory where the database should be temporarily restored to. If this path is not specified the default /nsr/tmp is used.

EXAMPLE
An example of the command to recover the deleted data documents since the last full backup of the database to NetWorker server neptune:

nsrdocrc -d -s neptune -p /path/myfilename

SEE ALSO
nsrnotesrc(8)

DIAGNOSTICS

" nsrdocrc does not load "
    The value for LD_LIBRARY_PATH (for solaris) / LIBPATH (for aix) variable in the environment does not be point to the file libnotes.so for solaris and libnotes_r.a for aix.